namespace CalendarNotepad
{
    public partial class Form1:Form
    {
        public Form1() {
            InitializeComponent();
        }

        private void Form1_Load(object sender,EventArgs e) {
            var year1 = 2024;
            do {
                this.tscbYear.Items.Add(year1);
                year1++;
            } while(year1 > DateTime.Now.Year + 1);
            this.tscbYear.Text = DateTime.Now.Year.ToString();
            for(int i = 0;i < 12;i++) {
                this.tscbMonth.Items.Add((i + 1) + "");
            }
            this.tscbMonth.Text = DateTime.Now.Month.ToString() + "";

            this.tabPanel.RowStyles.Clear();
            this.tabPanel.ColumnStyles.Clear();
            this.tabPanel.RowCount = 7;
            this.tabPanel.ColumnCount = 7;
            for(int i = 0;i < 7;i++) {
                this.tabPanel.RowStyles.Add(new RowStyle(SizeType.Percent,100 / 7));
                this.tabPanel.ColumnStyles.Add(new ColumnStyle(SizeType.Percent,100 / 7));
            }

            this.tabPanel.Controls.Clear();
            int d = 1;
            for(int x = 0;x < 7;x++) {
                for(int y = 0;y < 7;y++) {
                    var lab = new Label();
                    lab.Text = d++.ToString();
                    this.tabPanel.Controls.Add(lab,y,x);
                }
            }
        }
    }
}